My Project: openb3dlib.mod/data.cpp File Reference

My Project

Functions | Variables
data.cpp File Reference
`#include "data.h"`
`#include <stdio.h>`
`#include <string.h>`

## Functions

char * | StaticChar (int classid, int varid)
int * | StaticInt (int classid, int varid)
float * | StaticFloat (int classid, int varid)
Camera * | StaticCamera (int classid, int varid)
Entity * | StaticEntity (int classid, int varid)
Pivot * | StaticPivot (int classid, int varid)
Surface * | StaticSurface (int classid, int varid)
int | StaticListSize (int classid, int varid)
Action * | StaticIterListAction (int classid, int varid, int &id)
Camera * | StaticIterListCamera (int classid, int varid, int &id)
Entity * | StaticIterListEntity (int classid, int varid, int &id)
ShadowObject * | StaticIterListShadowObject (int classid, int varid, int &id)
Terrain * | StaticIterListTerrain (int classid, int varid, int &id)
Texture * | StaticIterListTexture (int classid, int varid, int &id)
Light * | StaticIterVectorLight (int classid, int varid, int &id)
int * | ActionInt (Action *obj, int varid)
int * | AnimationKeysInt (AnimationKeys *obj, int varid)
float * | AnimationKeysFloat (AnimationKeys *obj, int varid)
float * | BoneFloat (Bone *obj, int varid)
AnimationKeys * | BoneAnimationKeys (Bone *obj, int varid)
Matrix * | BoneMatrix (Bone *obj, int varid)
int * | BrushInt (Brush *obj, int varid)
unsigned int * | BrushUInt (Brush *obj, int varid)
float * | BrushFloat (Brush *obj, int varid)
const char * | BrushString (Brush *obj, int varid)
Texture * | BrushTextureArray (Brush *obj, int varid, int index)
bool * | CameraBool (Camera *obj, int varid)
int * | CameraInt (Camera *obj, int varid)
float * | CameraFloat (Camera *obj, int varid)
int * | EntityInt (Entity *obj, int varid)
float * | EntityFloat (Entity *obj, int varid)
const char * | EntityString (Entity *obj, int varid)
Entity * | EntityEntity (Entity *obj, int varid)
Brush * | EntityBrush (Entity *obj, int varid)
Matrix * | EntityMatrix (Entity *obj, int varid)
int | EntityListSize (Entity *obj, int varid)
Entity * | EntityIterListEntity (Entity *obj, int varid, int &id)
void | EntityListPushBackEntity (Entity *obj, int varid, Entity *ent)
char * | LightChar (Light *obj, int varid)
float * | LightFloat (Light *obj, int varid)
float * | MatrixFloat (Matrix *obj, int varid)
int * | MeshInt (Mesh *obj, int varid)
float * | MeshFloat (Mesh *obj, int varid)
Matrix * | MeshMatrix (Mesh *obj, int varid)
int | MeshListSize (Mesh *obj, int varid)
Surface * | MeshIterListSurface (Mesh *obj, int varid, int &id)
Bone * | MeshIterVectorBone (Mesh *obj, int varid, int &id)
vector< Bone * > * | MeshVectorBone (Mesh *obj, int varid)
void | MeshListPushBackSurface (Mesh *obj, int varid, Surface *surf)
void | MeshListPushBackBone (Mesh *obj, int varid, Bone *bone)
char * | ShadowObjectChar (ShadowObject *obj, int varid)
int * | ShadowObjectInt (ShadowObject *obj, int varid)
Mesh * | ShadowObjectMesh (ShadowObject *obj, int varid)
Surface * | ShadowObjectSurface (ShadowObject *obj, int varid)
int * | SpriteInt (Sprite *obj, int varid)
float * | SpriteFloat (Sprite *obj, int varid)
unsigned short * | SurfaceUShort (Surface *obj, int varid)
int * | SurfaceInt (Surface *obj, int varid)
unsigned int * | SurfaceUInt (Surface *obj, int varid)
float * | SurfaceFloat (Surface *obj, int varid)
Brush * | SurfaceBrush (Surface *obj, int varid)
Shader * | SurfaceShader (Surface *obj, int varid)
float * | TerrainFloat (Terrain *obj, int varid)
Camera * | TerrainCamera (Terrain *obj, int varid)
Shader * | TerrainShader (Terrain *obj, int varid)
int * | TextureInt (Texture *obj, int varid)
unsigned int * | TextureUInt (Texture *obj, int varid)
float * | TextureFloat (Texture *obj, int varid)
const char * | TextureString (Texture *obj, int varid)

## Variables

const int | ACTION_class = 1
const int | ANIMATION_class = 2
const int | ANIMATIONKEYS_class = 3
const int | BONE_class = 4
const int | BRUSH_class = 5
const int | CAMERA_class = 6
const int | COLLISION_class = 7
const int | COLLISIONINFO_class = 8
const int | COLLISIONPAIR_class = 9
const int | COLLISIONIMPACT_class =10
const int | CSGTRIANGLE_class = 11
const int | ENTITY_class = 12
const int | VECTOR_class = 13
const int | LINE_class = 14
const int | PLANE_class = 15
const int | QUAT_class = 16
const int | MMATRIX_class = 17
const int | BOX_class = 18
const int | TRANSFORM_class = 19
const int | GEOSPHERE_class = 20
const int | GLOBAL_class = 21
const int | FLUID_class = 22
const int | BLOB_class = 23
const int | FIELDARRAY_class = 24
const int | LIGHT_class = 25
const int | MATERIALPLUGIN_class = 26
const int | MATRIX_class = 27
const int | MESH_class = 28
const int | OCTREE_class = 29
const int | OCTREECHILD_class = 30
const int | PARTICLEBATCH_class = 31
const int | PARTICLEEMITTER_class =32
const int | CONSTRAINT_class = 33
const int | RIGIDBODY_class = 34
const int | PICK_class = 35
const int | PIVOT_class = 36
const int | QUATERNION_class = 37
const int | SHADERDATA_class = 38
const int | SAMPLER_class = 39
const int | MATERIAL_class = 40
const int | SHADER_class = 41
const int | SHADEROBJECT_class = 42
const int | PROGRAMOBJECT_class = 43
const int | SHADOWTRIANGLE_class = 44
const int | EDGE_class = 45
const int | SHADOWOBJECT_class = 46
const int | SPRITE_class = 47
const int | SPRITEBATCH_class = 48
const int | STENCIL_class = 49
const int | SURFACE_class = 50
const int | TERRAIN_class = 51
const int | TEXTURE_class = 52
const int | TEXTUREFILTER_class = 53
const int | TILT_class = 54
const int | TOUCH_class = 55
const int | MESHCOLLIDER_class = 56
const int | MESHINFO_class = 57
const int | VOXELSPRITE_class = 58
const int | ACTION_action_list = 1
const int | ACTION_act = 2
const int | ANIMATIONKEYS_frames = 1
const int | ANIMATIONKEYS_flags = 2
const int | ANIMATIONKEYS_px = 3
const int | ANIMATIONKEYS_py = 4
const int | ANIMATIONKEYS_pz = 5
const int | ANIMATIONKEYS_sx = 6
const int | ANIMATIONKEYS_sy = 7
const int | ANIMATIONKEYS_sz = 8
const int | ANIMATIONKEYS_qw = 9
const int | ANIMATIONKEYS_qx = 10
const int | ANIMATIONKEYS_qy = 11
const int | ANIMATIONKEYS_qz = 12
const int | BONE_n_px = 1
const int | BONE_n_py = 2
const int | BONE_n_pz = 3
const int | BONE_n_sx = 4
const int | BONE_n_sy = 5
const int | BONE_n_sz = 6
const int | BONE_n_rx = 7
const int | BONE_n_ry = 8
const int | BONE_n_rz = 9
const int | BONE_n_qw = 10
const int | BONE_n_qx = 11
const int | BONE_n_qy = 12
const int | BONE_n_qz = 13
const int | BONE_keys = 14
const int | BONE_mat2 = 15
const int | BONE_inv_mat = 16
const int | BONE_tform_mat = 17
const int | BONE_kx = 18
const int | BONE_ky = 19
const int | BONE_kz = 20
const int | BONE_kqw = 21
const int | BONE_kqx = 22
const int | BONE_kqy = 23
const int | BONE_kqz = 24
const int | BRUSH_no_texs = 1
const int | BRUSH_name = 2
const int | BRUSH_red = 3
const int | BRUSH_green = 4
const int | BRUSH_blue = 5
const int | BRUSH_alpha = 6
const int | BRUSH_shine = 7
const int | BRUSH_blend = 8
const int | BRUSH_fx = 9
const int | BRUSH_cache_frame = 10
const int | BRUSH_tex = 11
const int | CAMERA_cam_list = 1
const int | CAMERA_render_list = 2
const int | CAMERA_vx = 3
const int | CAMERA_vy = 4
const int | CAMERA_vwidth = 5
const int | CAMERA_vheight = 6
const int | CAMERA_cls_r = 7
const int | CAMERA_cls_g = 8
const int | CAMERA_cls_b = 9
const int | CAMERA_cls_color = 10
const int | CAMERA_cls_zbuffer = 11
const int | CAMERA_range_near = 12
const int | CAMERA_range_far = 13
const int | CAMERA_zoom = 14
const int | CAMERA_proj_mode = 15
const int | CAMERA_fog_mode = 16
const int | CAMERA_fog_r = 17
const int | CAMERA_fog_g = 18
const int | CAMERA_fog_b = 19
const int | CAMERA_fog_range_near = 20
const int | CAMERA_fog_range_far = 21
const int | CAMERA_project_enabled = 22
const int | CAMERA_mod_mat = 23
const int | CAMERA_proj_mat = 24
const int | CAMERA_viewport = 25
const int | CAMERA_projected_x = 26
const int | CAMERA_projected_y = 27
const int | CAMERA_projected_z = 28
const int | CAMERA_frustum = 29
const int | COLLISIONPAIR_cp_list = 1
const int | COLLISIONPAIR_ent_lists = 2
const int | COLLISIONPAIR_src_type = 3
const int | COLLISIONPAIR_des_type = 4
const int | COLLISIONPAIR_col_method = 5
const int | COLLISIONPAIR_response = 6
const int | COLLISIONIMPACT_x = 1
const int | COLLISIONIMPACT_y = 2
const int | COLLISIONIMPACT_z = 3
const int | COLLISIONIMPACT_nx = 4
const int | COLLISIONIMPACT_ny = 5
const int | COLLISIONIMPACT_nz = 6
const int | COLLISIONIMPACT_time = 7
const int | COLLISIONIMPACT_ent = 8
const int | COLLISIONIMPACT_surf = 9
const int | COLLISIONIMPACT_tri = 10
const int | ENTITY_entity_list = 1
const int | ENTITY_child_list = 2
const int | ENTITY_parent = 3
const int | ENTITY_mat = 4
const int | ENTITY_rotmat = 5
const int | ENTITY_px = 6
const int | ENTITY_py = 7
const int | ENTITY_pz = 8
const int | ENTITY_sx = 9
const int | ENTITY_sy = 10
const int | ENTITY_sz = 11
const int | ENTITY_rx = 12
const int | ENTITY_ry = 13
const int | ENTITY_rz = 14
const int | ENTITY_qw = 15
const int | ENTITY_qx = 16
const int | ENTITY_qy = 17
const int | ENTITY_qz = 18
const int | ENTITY_brush = 19
const int | ENTITY_order = 20
const int | ENTITY_alpha_order = 21
const int | ENTITY_hide = 22
const int | ENTITY_cull_radius = 23
const int | ENTITY_name = 24
const int | ENTITY_class_name = 25
const int | ENTITY_animate_list = 26
const int | ENTITY_anim = 27
const int | ENTITY_anim_render = 28
const int | ENTITY_anim_mode = 29
const int | ENTITY_anim_time = 30
const int | ENTITY_anim_speed = 31
const int | ENTITY_anim_seq = 32
const int | ENTITY_anim_trans = 33
const int | ENTITY_anim_dir = 34
const int | ENTITY_anim_seqs_first = 35
const int | ENTITY_anim_seqs_last = 36
const int | ENTITY_no_seqs = 37
const int | ENTITY_anim_update = 38
const int | ENTITY_anim_list = 39
const int | ENTITY_collision_type = 40
const int | ENTITY_radius_x = 41
const int | ENTITY_radius_y = 42
const int | ENTITY_box_x = 43
const int | ENTITY_box_y = 44
const int | ENTITY_box_z = 45
const int | ENTITY_box_w = 46
const int | ENTITY_box_h = 47
const int | ENTITY_box_d = 48
const int | ENTITY_no_collisions = 49
const int | ENTITY_collision = 50
const int | ENTITY_old_x = 51
const int | ENTITY_old_y = 52
const int | ENTITY_old_z = 53
const int | ENTITY_old_pitch = 54
const int | ENTITY_old_yaw = 55
const int | ENTITY_old_roll = 56
const int | ENTITY_new_x = 57
const int | ENTITY_new_y = 58
const int | ENTITY_new_z = 59
const int | ENTITY_new_no = 60
const int | ENTITY_old_mat = 61
const int | ENTITY_dynamic = 62
const int | ENTITY_dynamic_x = 63
const int | ENTITY_dynamic_y = 64
const int | ENTITY_dynamic_z = 65
const int | ENTITY_dynamic_yaw = 66
const int | ENTITY_dynamic_pitch = 67
const int | ENTITY_dynamic_roll = 68
const int | ENTITY_pick_mode = 69
const int | ENTITY_obscurer = 70
const int | ENTITY_tformed_x = 71
const int | ENTITY_tformed_y = 72
const int | ENTITY_tformed_z = 73
const int | GLOBAL_width = 1
const int | GLOBAL_height = 2
const int | GLOBAL_mode = 3
const int | GLOBAL_depth = 4
const int | GLOBAL_rate = 5
const int | GLOBAL_ambient_red = 6
const int | GLOBAL_ambient_green = 7
const int | GLOBAL_ambient_blue = 8
const int | GLOBAL_ambient_shader = 9
const int | GLOBAL_vbo_enabled = 10
const int | GLOBAL_vbo_min_tris = 11
const int | GLOBAL_Shadows_enabled = 12
const int | GLOBAL_anim_speed = 13
const int | GLOBAL_fog_enabled = 14
const int | GLOBAL_root_ent = 15
const int | GLOBAL_camera_in_use = 16
const int | GLOBAL_alpha_enable = 17
const int | GLOBAL_blend_mode = 18
const int | GLOBAL_fx1 = 19
const int | GLOBAL_fx2 = 20
const int | LIGHT_light_no = 1
const int | LIGHT_no_lights = 2
const int | LIGHT_max_lights = 3
const int | LIGHT_gl_light = 4
const int | LIGHT_light_list = 5
const int | LIGHT_cast_shadow =6
const int | LIGHT_light_type = 7
const int | LIGHT_range = 8
const int | LIGHT_red = 9
const int | LIGHT_green = 10
const int | LIGHT_blue = 11
const int | LIGHT_inner_ang = 12
const int | LIGHT_outer_ang = 13
const int | MATRIX_grid = 1
const int | MESH_no_surfs = 1
const int | MESH_surf_list = 2
const int | MESH_anim_surf_list = 3
const int | MESH_bones = 4
const int | MESH_mat_sp = 5
const int | MESH_c_col_tree = 6
const int | MESH_reset_col_tree = 7
const int | MESH_reset_bounds = 8
const int | MESH_min_x = 9
const int | MESH_min_y = 10
const int | MESH_min_z = 11
const int | MESH_max_x = 12
const int | MESH_max_y = 13
const int | MESH_max_z = 14
const int | PICK_ent_list = 1
const int | PICK_picked_x = 2
const int | PICK_picked_y = 3
const int | PICK_picked_z = 4
const int | PICK_picked_nx = 5
const int | PICK_picked_ny = 6
const int | PICK_picked_nz = 7
const int | PICK_picked_time = 8
const int | PICK_picked_ent = 9
const int | PICK_picked_surface = 10
const int | PICK_picked_triangle = 11
const int | SHADOWOBJECT_shadow_list = 1
const int | SHADOWOBJECT_Parent = 2
const int | SHADOWOBJECT_cnt_tris = 3
const int | SHADOWOBJECT_ShadowMesh = 4
const int | SHADOWOBJECT_ShadowVolume = 5
const int | SHADOWOBJECT_Render = 6
const int | SHADOWOBJECT_Static = 7
const int | SHADOWOBJECT_VCreated = 8
const int | SHADOWOBJECT_VolumeLength = 9
const int | SHADOWOBJECT_top_caps = 10
const int | SHADOWOBJECT_parallel = 11
const int | SHADOWOBJECT_light_x = 12
const int | SHADOWOBJECT_light_y = 13
const int | SHADOWOBJECT_light_z = 14
const int | SHADOWOBJECT_midStencilVal = 15
const int | SHADOWOBJECT_ShadowRed = 16
const int | SHADOWOBJECT_ShadowGreen = 17
const int | SHADOWOBJECT_ShadowBlue = 18
const int | SHADOWOBJECT_ShadowAlpha = 19
const int | SPRITE_angle = 1
const int | SPRITE_scale_x = 2
const int | SPRITE_scale_y = 3
const int | SPRITE_handle_x = 4
const int | SPRITE_handle_y = 5
const int | SPRITE_view_mode = 6
const int | SPRITE_render_mode = 7
const int | SURFACE_no_verts = 1
const int | SURFACE_no_tris = 2
const int | SURFACE_vert_coords = 3
const int | SURFACE_vert_norm = 4
const int | SURFACE_vert_tex_coords0 = 5
const int | SURFACE_vert_tex_coords1 = 6
const int | SURFACE_vert_col = 7
const int | SURFACE_tris = 8
const int | SURFACE_vert_bone1_no = 9
const int | SURFACE_vert_bone2_no = 10
const int | SURFACE_vert_bone3_no = 11
const int | SURFACE_vert_bone4_no = 12
const int | SURFACE_vert_weight1 = 13
const int | SURFACE_vert_weight2 = 14
const int | SURFACE_vert_weight3 = 15
const int | SURFACE_vert_weight4 = 16
const int | SURFACE_brush = 17
const int | SURFACE_ShaderMat = 18
const int | SURFACE_vbo_id = 19
const int | SURFACE_vert_array_size = 20
const int | SURFACE_tri_array_size = 21
const int | SURFACE_vmin = 22
const int | SURFACE_vmax = 23
const int | SURFACE_vbo_enabled = 24
const int | SURFACE_reset_vbo = 25
const int | SURFACE_alpha_enable = 26
const int | TERRAIN_terrain_list = 1
const int | TERRAIN_triangleindex =2
const int | TERRAIN_mesh_info = 3
const int | TERRAIN_size = 4
const int | TERRAIN_vsize = 5
const int | TERRAIN_level2dzsize = 6
const int | TERRAIN_height = 7
const int | TERRAIN_c_col_tree = 8
const int | TERRAIN_eyepoint = 9
const int | TERRAIN_ShaderMat = 10
const int | TEXTURE_texture = 1
const int | TEXTURE_tex_list = 2
const int | TEXTURE_file = 3
const int | TEXTURE_frames = 4
const int | TEXTURE_flags = 5
const int | TEXTURE_blend = 6
const int | TEXTURE_coords = 7
const int | TEXTURE_u_scale = 8
const int | TEXTURE_v_scale = 9
const int | TEXTURE_u_pos = 10
const int | TEXTURE_v_pos = 11
const int | TEXTURE_angle = 12
const int | TEXTURE_file_abs = 13
const int | TEXTURE_width = 14
const int | TEXTURE_height = 15
const int | TEXTURE_no_frames = 16
const int | TEXTURE_framebuffer = 17
const int | TEXTURE_cube_face = 18
const int | TEXTURE_cube_mode = 19

## Function Documentation

## § ActionInt()

int* ActionInt | ( | Action * | obj,
|  | int | varid
| ) |  |

## § AnimationKeysFloat()

float* AnimationKeysFloat | ( | AnimationKeys * | obj,
|  | int | varid
| ) |  |

## § AnimationKeysInt()

int* AnimationKeysInt | ( | AnimationKeys * | obj,
|  | int | varid
| ) |  |

## § BoneAnimationKeys()

AnimationKeys* BoneAnimationKeys | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BoneFloat()

float* BoneFloat | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BoneMatrix()

Matrix* BoneMatrix | ( | Bone * | obj,
|  | int | varid
| ) |  |

## § BrushFloat()

float* BrushFloat | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushInt()

int* BrushInt | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushString()

const char* BrushString | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § BrushTextureArray()

Texture* BrushTextureArray | ( | Brush * | obj,
|  | int | varid,
|  | int | index
| ) |  |

## § BrushUInt()

unsigned int* BrushUInt | ( | Brush * | obj,
|  | int | varid
| ) |  |

## § CameraBool()

bool* CameraBool | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § CameraFloat()

float* CameraFloat | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § CameraInt()

int* CameraInt | ( | Camera * | obj,
|  | int | varid
| ) |  |

## § EntityBrush()

Brush* EntityBrush | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityEntity()

Entity* EntityEntity | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityFloat()

float* EntityFloat | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityInt()

int* EntityInt | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityIterListEntity()

Entity* EntityIterListEntity | ( | Entity * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § EntityListPushBackEntity()

void EntityListPushBackEntity | ( | Entity * | obj,
|  | int | varid,
|  | Entity * | ent
| ) |  |

## § EntityListSize()

int EntityListSize | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityMatrix()

Matrix* EntityMatrix | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § EntityString()

const char* EntityString | ( | Entity * | obj,
|  | int | varid
| ) |  |

## § LightChar()

char* LightChar | ( | Light * | obj,
|  | int | varid
| ) |  |

## § LightFloat()

float* LightFloat | ( | Light * | obj,
|  | int | varid
| ) |  |

## § MatrixFloat()

float* MatrixFloat | ( | Matrix * | obj,
|  | int | varid
| ) |  |

## § MeshFloat()

float* MeshFloat | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshInt()

int* MeshInt | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshIterListSurface()

Surface* MeshIterListSurface | ( | Mesh * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § MeshIterVectorBone()

Bone* MeshIterVectorBone | ( | Mesh * | obj,
|  | int | varid,
|  | int & | id
| ) |  |

## § MeshListPushBackBone()

void MeshListPushBackBone | ( | Mesh * | obj,
|  | int | varid,
|  | Bone * | bone
| ) |  |

## § MeshListPushBackSurface()

void MeshListPushBackSurface | ( | Mesh * | obj,
|  | int | varid,
|  | Surface * | surf
| ) |  |

## § MeshListSize()

int MeshListSize | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshMatrix()

Matrix* MeshMatrix | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § MeshVectorBone()

vector<Bone*>* MeshVectorBone | ( | Mesh * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectChar()

char* ShadowObjectChar | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectInt()

int* ShadowObjectInt | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectMesh()

Mesh* ShadowObjectMesh | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § ShadowObjectSurface()

Surface* ShadowObjectSurface | ( | ShadowObject * | obj,
|  | int | varid
| ) |  |

## § SpriteFloat()

float* SpriteFloat | ( | Sprite * | obj,
|  | int | varid
| ) |  |

## § SpriteInt()

int* SpriteInt | ( | Sprite * | obj,
|  | int | varid
| ) |  |

## § StaticCamera()

Camera* StaticCamera | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticChar()

char* StaticChar | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticEntity()

Entity* StaticEntity | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticFloat()

float* StaticFloat | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticInt()

int* StaticInt | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticIterListAction()

Action* StaticIterListAction | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListCamera()

Camera* StaticIterListCamera | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListEntity()

Entity* StaticIterListEntity | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListShadowObject()

ShadowObject* StaticIterListShadowObject | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListTerrain()

Terrain* StaticIterListTerrain | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterListTexture()

Texture* StaticIterListTexture | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticIterVectorLight()

Light* StaticIterVectorLight | ( | int | classid,
|  | int | varid,
|  | int & | id
| ) |  |

## § StaticListSize()

int StaticListSize | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticPivot()

Pivot* StaticPivot | ( | int | classid,
|  | int | varid
| ) |  |

## § StaticSurface()

Surface* StaticSurface | ( | int | classid,
|  | int | varid
| ) |  |

## § SurfaceBrush()

Brush* SurfaceBrush | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceFloat()

float* SurfaceFloat | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceInt()

int* SurfaceInt | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceShader()

Shader* SurfaceShader | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceUInt()

unsigned int* SurfaceUInt | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § SurfaceUShort()

unsigned short* SurfaceUShort | ( | Surface * | obj,
|  | int | varid
| ) |  |

## § TerrainCamera()

Camera* TerrainCamera | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TerrainFloat()

float* TerrainFloat | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TerrainShader()

Shader* TerrainShader | ( | Terrain * | obj,
|  | int | varid
| ) |  |

## § TextureFloat()

float* TextureFloat | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureInt()

int* TextureInt | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureString()

const char* TextureString | ( | Texture * | obj,
|  | int | varid
| ) |  |

## § TextureUInt()

unsigned int* TextureUInt | ( | Texture * | obj,
|  | int | varid
| ) |  |

## Variable Documentation

## § ACTION_act

const int ACTION_act = 2

## § ACTION_action_list

const int ACTION_action_list = 1

## § ACTION_class

const int ACTION_class = 1

## § ANIMATION_class

const int ANIMATION_class = 2

## § ANIMATIONKEYS_class

const int ANIMATIONKEYS_class = 3

## § ANIMATIONKEYS_flags

const int ANIMATIONKEYS_flags = 2

## § ANIMATIONKEYS_frames

const int ANIMATIONKEYS_frames = 1

## § ANIMATIONKEYS_px

const int ANIMATIONKEYS_px = 3

## § ANIMATIONKEYS_py

const int ANIMATIONKEYS_py = 4

## § ANIMATIONKEYS_pz

const int ANIMATIONKEYS_pz = 5

## § ANIMATIONKEYS_qw

const int ANIMATIONKEYS_qw = 9

## § ANIMATIONKEYS_qx

const int ANIMATIONKEYS_qx = 10

## § ANIMATIONKEYS_qy

const int ANIMATIONKEYS_qy = 11

## § ANIMATIONKEYS_qz

const int ANIMATIONKEYS_qz = 12

## § ANIMATIONKEYS_sx

const int ANIMATIONKEYS_sx = 6

## § ANIMATIONKEYS_sy

const int ANIMATIONKEYS_sy = 7

## § ANIMATIONKEYS_sz

const int ANIMATIONKEYS_sz = 8

## § BLOB_class

const int BLOB_class = 23

## § BONE_class

const int BONE_class = 4

## § BONE_inv_mat

const int BONE_inv_mat = 16

## § BONE_keys

const int BONE_keys = 14

## § BONE_kqw

const int BONE_kqw = 21

## § BONE_kqx

const int BONE_kqx = 22

## § BONE_kqy

const int BONE_kqy = 23

## § BONE_kqz

const int BONE_kqz = 24

## § BONE_kx

const int BONE_kx = 18

## § BONE_ky

const int BONE_ky = 19

## § BONE_kz

const int BONE_kz = 20

## § BONE_mat2

const int BONE_mat2 = 15

## § BONE_n_px

const int BONE_n_px = 1

## § BONE_n_py

const int BONE_n_py = 2

## § BONE_n_pz

const int BONE_n_pz = 3

## § BONE_n_qw

const int BONE_n_qw = 10

## § BONE_n_qx

const int BONE_n_qx = 11

## § BONE_n_qy

const int BONE_n_qy = 12

## § BONE_n_qz

const int BONE_n_qz = 13

## § BONE_n_rx

const int BONE_n_rx = 7

## § BONE_n_ry

const int BONE_n_ry = 8

## § BONE_n_rz

const int BONE_n_rz = 9

## § BONE_n_sx

const int BONE_n_sx = 4

## § BONE_n_sy

const int BONE_n_sy = 5

## § BONE_n_sz

const int BONE_n_sz = 6

## § BONE_tform_mat

const int BONE_tform_mat = 17

## § BOX_class

const int BOX_class = 18

## § BRUSH_alpha

const int BRUSH_alpha = 6

## § BRUSH_blend

const int BRUSH_blend = 8

## § BRUSH_blue

const int BRUSH_blue = 5

## § BRUSH_cache_frame

const int BRUSH_cache_frame = 10

## § BRUSH_class

const int BRUSH_class = 5

## § BRUSH_fx

const int BRUSH_fx = 9

## § BRUSH_green

const int BRUSH_green = 4

## § BRUSH_name

const int BRUSH_name = 2

## § BRUSH_no_texs

const int BRUSH_no_texs = 1

## § BRUSH_red

const int BRUSH_red = 3

## § BRUSH_shine

const int BRUSH_shine = 7

## § BRUSH_tex

const int BRUSH_tex = 11

## § CAMERA_cam_list

const int CAMERA_cam_list = 1

## § CAMERA_class

const int CAMERA_class = 6

## § CAMERA_cls_b

const int CAMERA_cls_b = 9

## § CAMERA_cls_color

const int CAMERA_cls_color = 10

## § CAMERA_cls_g

const int CAMERA_cls_g = 8

## § CAMERA_cls_r

const int CAMERA_cls_r = 7

## § CAMERA_cls_zbuffer

const int CAMERA_cls_zbuffer = 11

## § CAMERA_fog_b

const int CAMERA_fog_b = 19

## § CAMERA_fog_g

const int CAMERA_fog_g = 18

## § CAMERA_fog_mode

const int CAMERA_fog_mode = 16

## § CAMERA_fog_r

const int CAMERA_fog_r = 17

## § CAMERA_fog_range_far

const int CAMERA_fog_range_far = 21

## § CAMERA_fog_range_near

const int CAMERA_fog_range_near = 20

## § CAMERA_frustum

const int CAMERA_frustum = 29

## § CAMERA_mod_mat

const int CAMERA_mod_mat = 23

## § CAMERA_proj_mat

const int CAMERA_proj_mat = 24

## § CAMERA_proj_mode

const int CAMERA_proj_mode = 15

## § CAMERA_project_enabled

const int CAMERA_project_enabled = 22

## § CAMERA_projected_x

const int CAMERA_projected_x = 26

## § CAMERA_projected_y

const int CAMERA_projected_y = 27

## § CAMERA_projected_z

const int CAMERA_projected_z = 28

## § CAMERA_range_far

const int CAMERA_range_far = 13

## § CAMERA_range_near

const int CAMERA_range_near = 12

## § CAMERA_render_list

const int CAMERA_render_list = 2

## § CAMERA_vheight

const int CAMERA_vheight = 6

## § CAMERA_viewport

const int CAMERA_viewport = 25

## § CAMERA_vwidth

const int CAMERA_vwidth = 5

## § CAMERA_vx

const int CAMERA_vx = 3

## § CAMERA_vy

const int CAMERA_vy = 4

## § CAMERA_zoom

const int CAMERA_zoom = 14

## § COLLISION_class

const int COLLISION_class = 7

## § COLLISIONIMPACT_class

const int COLLISIONIMPACT_class =10

## § COLLISIONIMPACT_ent

const int COLLISIONIMPACT_ent = 8

## § COLLISIONIMPACT_nx

const int COLLISIONIMPACT_nx = 4

## § COLLISIONIMPACT_ny

const int COLLISIONIMPACT_ny = 5

## § COLLISIONIMPACT_nz

const int COLLISIONIMPACT_nz = 6

## § COLLISIONIMPACT_surf

const int COLLISIONIMPACT_surf = 9

## § COLLISIONIMPACT_time

const int COLLISIONIMPACT_time = 7

## § COLLISIONIMPACT_tri

const int COLLISIONIMPACT_tri = 10

## § COLLISIONIMPACT_x

const int COLLISIONIMPACT_x = 1

## § COLLISIONIMPACT_y

const int COLLISIONIMPACT_y = 2

## § COLLISIONIMPACT_z

const int COLLISIONIMPACT_z = 3

## § COLLISIONINFO_class

const int COLLISIONINFO_class = 8

## § COLLISIONPAIR_class

const int COLLISIONPAIR_class = 9

## § COLLISIONPAIR_col_method

const int COLLISIONPAIR_col_method = 5

## § COLLISIONPAIR_cp_list

const int COLLISIONPAIR_cp_list = 1

## § COLLISIONPAIR_des_type

const int COLLISIONPAIR_des_type = 4

## § COLLISIONPAIR_ent_lists

const int COLLISIONPAIR_ent_lists = 2

## § COLLISIONPAIR_response

const int COLLISIONPAIR_response = 6

## § COLLISIONPAIR_src_type

const int COLLISIONPAIR_src_type = 3

## § CONSTRAINT_class

const int CONSTRAINT_class = 33

## § CSGTRIANGLE_class

const int CSGTRIANGLE_class = 11

## § EDGE_class

const int EDGE_class = 45

## § ENTITY_alpha_order

const int ENTITY_alpha_order = 21

## § ENTITY_anim

const int ENTITY_anim = 27

## § ENTITY_anim_dir

const int ENTITY_anim_dir = 34

## § ENTITY_anim_list

const int ENTITY_anim_list = 39

## § ENTITY_anim_mode

const int ENTITY_anim_mode = 29

## § ENTITY_anim_render

const int ENTITY_anim_render = 28

## § ENTITY_anim_seq

const int ENTITY_anim_seq = 32

## § ENTITY_anim_seqs_first

const int ENTITY_anim_seqs_first = 35

## § ENTITY_anim_seqs_last

const int ENTITY_anim_seqs_last = 36

## § ENTITY_anim_speed

const int ENTITY_anim_speed = 31

## § ENTITY_anim_time

const int ENTITY_anim_time = 30

## § ENTITY_anim_trans

const int ENTITY_anim_trans = 33

## § ENTITY_anim_update

const int ENTITY_anim_update = 38

## § ENTITY_animate_list

const int ENTITY_animate_list = 26

## § ENTITY_box_d

const int ENTITY_box_d = 48

## § ENTITY_box_h

const int ENTITY_box_h = 47

## § ENTITY_box_w

const int ENTITY_box_w = 46

## § ENTITY_box_x

const int ENTITY_box_x = 43

## § ENTITY_box_y

const int ENTITY_box_y = 44

## § ENTITY_box_z

const int ENTITY_box_z = 45

## § ENTITY_brush

const int ENTITY_brush = 19

## § ENTITY_child_list

const int ENTITY_child_list = 2

## § ENTITY_class

const int ENTITY_class = 12

## § ENTITY_class_name

const int ENTITY_class_name = 25

## § ENTITY_collision

const int ENTITY_collision = 50

## § ENTITY_collision_type

const int ENTITY_collision_type = 40

## § ENTITY_cull_radius

const int ENTITY_cull_radius = 23

## § ENTITY_dynamic

const int ENTITY_dynamic = 62

## § ENTITY_dynamic_pitch

const int ENTITY_dynamic_pitch = 67

## § ENTITY_dynamic_roll

const int ENTITY_dynamic_roll = 68

## § ENTITY_dynamic_x

const int ENTITY_dynamic_x = 63

## § ENTITY_dynamic_y

const int ENTITY_dynamic_y = 64

## § ENTITY_dynamic_yaw

const int ENTITY_dynamic_yaw = 66

## § ENTITY_dynamic_z

const int ENTITY_dynamic_z = 65

## § ENTITY_entity_list

const int ENTITY_entity_list = 1

## § ENTITY_hide

const int ENTITY_hide = 22

## § ENTITY_mat

const int ENTITY_mat = 4

## § ENTITY_name

const int ENTITY_name = 24

## § ENTITY_new_no

const int ENTITY_new_no = 60

## § ENTITY_new_x

const int ENTITY_new_x = 57

## § ENTITY_new_y

const int ENTITY_new_y = 58

## § ENTITY_new_z

const int ENTITY_new_z = 59

## § ENTITY_no_collisions

const int ENTITY_no_collisions = 49

## § ENTITY_no_seqs

const int ENTITY_no_seqs = 37

## § ENTITY_obscurer

const int ENTITY_obscurer = 70

## § ENTITY_old_mat

const int ENTITY_old_mat = 61

## § ENTITY_old_pitch

const int ENTITY_old_pitch = 54

## § ENTITY_old_roll

const int ENTITY_old_roll = 56

## § ENTITY_old_x

const int ENTITY_old_x = 51

## § ENTITY_old_y

const int ENTITY_old_y = 52

## § ENTITY_old_yaw

const int ENTITY_old_yaw = 55

## § ENTITY_old_z

const int ENTITY_old_z = 53

## § ENTITY_order

const int ENTITY_order = 20

## § ENTITY_parent

const int ENTITY_parent = 3

## § ENTITY_pick_mode

const int ENTITY_pick_mode = 69

## § ENTITY_px

const int ENTITY_px = 6

## § ENTITY_py

const int ENTITY_py = 7

## § ENTITY_pz

const int ENTITY_pz = 8

## § ENTITY_qw

const int ENTITY_qw = 15

## § ENTITY_qx

const int ENTITY_qx = 16

## § ENTITY_qy

const int ENTITY_qy = 17

## § ENTITY_qz

const int ENTITY_qz = 18

## § ENTITY_radius_x

const int ENTITY_radius_x = 41

## § ENTITY_radius_y

const int ENTITY_radius_y = 42

## § ENTITY_rotmat

const int ENTITY_rotmat = 5

## § ENTITY_rx

const int ENTITY_rx = 12

## § ENTITY_ry

const int ENTITY_ry = 13

## § ENTITY_rz

const int ENTITY_rz = 14

## § ENTITY_sx

const int ENTITY_sx = 9

## § ENTITY_sy

const int ENTITY_sy = 10

## § ENTITY_sz

const int ENTITY_sz = 11

## § ENTITY_tformed_x

const int ENTITY_tformed_x = 71

## § ENTITY_tformed_y

const int ENTITY_tformed_y = 72

## § ENTITY_tformed_z

const int ENTITY_tformed_z = 73

## § FIELDARRAY_class

const int FIELDARRAY_class = 24

## § FLUID_class

const int FLUID_class = 22

## § GEOSPHERE_class

const int GEOSPHERE_class = 20

## § GLOBAL_alpha_enable

const int GLOBAL_alpha_enable = 17

## § GLOBAL_ambient_blue

const int GLOBAL_ambient_blue = 8

## § GLOBAL_ambient_green

const int GLOBAL_ambient_green = 7

## § GLOBAL_ambient_red

const int GLOBAL_ambient_red = 6

## § GLOBAL_ambient_shader

const int GLOBAL_ambient_shader = 9

## § GLOBAL_anim_speed

const int GLOBAL_anim_speed = 13

## § GLOBAL_blend_mode

const int GLOBAL_blend_mode = 18

## § GLOBAL_camera_in_use

const int GLOBAL_camera_in_use = 16

## § GLOBAL_class

const int GLOBAL_class = 21

## § GLOBAL_depth

const int GLOBAL_depth = 4

## § GLOBAL_fog_enabled

const int GLOBAL_fog_enabled = 14

## § GLOBAL_fx1

const int GLOBAL_fx1 = 19

## § GLOBAL_fx2

const int GLOBAL_fx2 = 20

## § GLOBAL_height

const int GLOBAL_height = 2

## § GLOBAL_mode

const int GLOBAL_mode = 3

## § GLOBAL_rate

const int GLOBAL_rate = 5

## § GLOBAL_root_ent

const int GLOBAL_root_ent = 15

## § GLOBAL_Shadows_enabled

const int GLOBAL_Shadows_enabled = 12

## § GLOBAL_vbo_enabled

const int GLOBAL_vbo_enabled = 10

## § GLOBAL_vbo_min_tris

const int GLOBAL_vbo_min_tris = 11

## § GLOBAL_width

const int GLOBAL_width = 1

## § LIGHT_blue

const int LIGHT_blue = 11

## § LIGHT_cast_shadow

const int LIGHT_cast_shadow =6

## § LIGHT_class

const int LIGHT_class = 25

## § LIGHT_gl_light

const int LIGHT_gl_light = 4

## § LIGHT_green

const int LIGHT_green = 10

## § LIGHT_inner_ang

const int LIGHT_inner_ang = 12

## § LIGHT_light_list

const int LIGHT_light_list = 5

## § LIGHT_light_no

const int LIGHT_light_no = 1

## § LIGHT_light_type

const int LIGHT_light_type = 7

## § LIGHT_max_lights

const int LIGHT_max_lights = 3

## § LIGHT_no_lights

const int LIGHT_no_lights = 2

## § LIGHT_outer_ang

const int LIGHT_outer_ang = 13

## § LIGHT_range

const int LIGHT_range = 8

## § LIGHT_red

const int LIGHT_red = 9

## § LINE_class

const int LINE_class = 14

## § MATERIAL_class

const int MATERIAL_class = 40

## § MATERIALPLUGIN_class

const int MATERIALPLUGIN_class = 26

## § MATRIX_class

const int MATRIX_class = 27

## § MATRIX_grid

const int MATRIX_grid = 1

## § MESH_anim_surf_list

const int MESH_anim_surf_list = 3

## § MESH_bones

const int MESH_bones = 4

## § MESH_c_col_tree

const int MESH_c_col_tree = 6

## § MESH_class

const int MESH_class = 28

## § MESH_mat_sp

const int MESH_mat_sp = 5

## § MESH_max_x

const int MESH_max_x = 12

## § MESH_max_y

const int MESH_max_y = 13

## § MESH_max_z

const int MESH_max_z = 14

## § MESH_min_x

const int MESH_min_x = 9

## § MESH_min_y

const int MESH_min_y = 10

## § MESH_min_z

const int MESH_min_z = 11

## § MESH_no_surfs

const int MESH_no_surfs = 1

## § MESH_reset_bounds

const int MESH_reset_bounds = 8

## § MESH_reset_col_tree

const int MESH_reset_col_tree = 7

## § MESH_surf_list

const int MESH_surf_list = 2

## § MESHCOLLIDER_class

const int MESHCOLLIDER_class = 56

## § MESHINFO_class

const int MESHINFO_class = 57

## § MMATRIX_class

const int MMATRIX_class = 17

## § OCTREE_class

const int OCTREE_class = 29

## § OCTREECHILD_class

const int OCTREECHILD_class = 30

## § PARTICLEBATCH_class

const int PARTICLEBATCH_class = 31

## § PARTICLEEMITTER_class

const int PARTICLEEMITTER_class =32

## § PICK_class

const int PICK_class = 35

## § PICK_ent_list

const int PICK_ent_list = 1

## § PICK_picked_ent

const int PICK_picked_ent = 9

## § PICK_picked_nx

const int PICK_picked_nx = 5

## § PICK_picked_ny

const int PICK_picked_ny = 6

## § PICK_picked_nz

const int PICK_picked_nz = 7

## § PICK_picked_surface

const int PICK_picked_surface = 10

## § PICK_picked_time

const int PICK_picked_time = 8

## § PICK_picked_triangle

const int PICK_picked_triangle = 11

## § PICK_picked_x

const int PICK_picked_x = 2

## § PICK_picked_y

const int PICK_picked_y = 3

## § PICK_picked_z

const int PICK_picked_z = 4

## § PIVOT_class

const int PIVOT_class = 36

## § PLANE_class

const int PLANE_class = 15

## § PROGRAMOBJECT_class

const int PROGRAMOBJECT_class = 43

## § QUAT_class

const int QUAT_class = 16

## § QUATERNION_class

const int QUATERNION_class = 37

## § RIGIDBODY_class

const int RIGIDBODY_class = 34

## § SAMPLER_class

const int SAMPLER_class = 39

## § SHADER_class

const int SHADER_class = 41

## § SHADERDATA_class

const int SHADERDATA_class = 38

## § SHADEROBJECT_class

const int SHADEROBJECT_class = 42

## § SHADOWOBJECT_class

const int SHADOWOBJECT_class = 46

## § SHADOWOBJECT_cnt_tris

const int SHADOWOBJECT_cnt_tris = 3

## § SHADOWOBJECT_light_x

const int SHADOWOBJECT_light_x = 12

## § SHADOWOBJECT_light_y

const int SHADOWOBJECT_light_y = 13

## § SHADOWOBJECT_light_z

const int SHADOWOBJECT_light_z = 14

## § SHADOWOBJECT_midStencilVal

const int SHADOWOBJECT_midStencilVal = 15

## § SHADOWOBJECT_parallel

const int SHADOWOBJECT_parallel = 11

## § SHADOWOBJECT_Parent

const int SHADOWOBJECT_Parent = 2

## § SHADOWOBJECT_Render

const int SHADOWOBJECT_Render = 6

## § SHADOWOBJECT_shadow_list

const int SHADOWOBJECT_shadow_list = 1

## § SHADOWOBJECT_ShadowAlpha

const int SHADOWOBJECT_ShadowAlpha = 19

## § SHADOWOBJECT_ShadowBlue

const int SHADOWOBJECT_ShadowBlue = 18

## § SHADOWOBJECT_ShadowGreen

const int SHADOWOBJECT_ShadowGreen = 17

## § SHADOWOBJECT_ShadowMesh

const int SHADOWOBJECT_ShadowMesh = 4

## § SHADOWOBJECT_ShadowRed

const int SHADOWOBJECT_ShadowRed = 16

## § SHADOWOBJECT_ShadowVolume

const int SHADOWOBJECT_ShadowVolume = 5

## § SHADOWOBJECT_Static

const int SHADOWOBJECT_Static = 7

## § SHADOWOBJECT_top_caps

const int SHADOWOBJECT_top_caps = 10

## § SHADOWOBJECT_VCreated

const int SHADOWOBJECT_VCreated = 8

## § SHADOWOBJECT_VolumeLength

const int SHADOWOBJECT_VolumeLength = 9

## § SHADOWTRIANGLE_class

const int SHADOWTRIANGLE_class = 44

## § SPRITE_angle

const int SPRITE_angle = 1

## § SPRITE_class

const int SPRITE_class = 47

## § SPRITE_handle_x

const int SPRITE_handle_x = 4

## § SPRITE_handle_y

const int SPRITE_handle_y = 5

## § SPRITE_render_mode

const int SPRITE_render_mode = 7

## § SPRITE_scale_x

const int SPRITE_scale_x = 2

## § SPRITE_scale_y

const int SPRITE_scale_y = 3

## § SPRITE_view_mode

const int SPRITE_view_mode = 6

## § SPRITEBATCH_class

const int SPRITEBATCH_class = 48

## § STENCIL_class

const int STENCIL_class = 49

## § SURFACE_alpha_enable

const int SURFACE_alpha_enable = 26

## § SURFACE_brush

const int SURFACE_brush = 17

## § SURFACE_class

const int SURFACE_class = 50

## § SURFACE_no_tris

const int SURFACE_no_tris = 2

## § SURFACE_no_verts

const int SURFACE_no_verts = 1

## § SURFACE_reset_vbo

const int SURFACE_reset_vbo = 25

## § SURFACE_ShaderMat

const int SURFACE_ShaderMat = 18

## § SURFACE_tri_array_size

const int SURFACE_tri_array_size = 21

## § SURFACE_tris

const int SURFACE_tris = 8

## § SURFACE_vbo_enabled

const int SURFACE_vbo_enabled = 24

## § SURFACE_vbo_id

const int SURFACE_vbo_id = 19

## § SURFACE_vert_array_size

const int SURFACE_vert_array_size = 20

## § SURFACE_vert_bone1_no

const int SURFACE_vert_bone1_no = 9

## § SURFACE_vert_bone2_no

const int SURFACE_vert_bone2_no = 10

## § SURFACE_vert_bone3_no

const int SURFACE_vert_bone3_no = 11

## § SURFACE_vert_bone4_no

const int SURFACE_vert_bone4_no = 12

## § SURFACE_vert_col

const int SURFACE_vert_col = 7

## § SURFACE_vert_coords

const int SURFACE_vert_coords = 3

## § SURFACE_vert_norm

const int SURFACE_vert_norm = 4

## § SURFACE_vert_tex_coords0

const int SURFACE_vert_tex_coords0 = 5

## § SURFACE_vert_tex_coords1

const int SURFACE_vert_tex_coords1 = 6

## § SURFACE_vert_weight1

const int SURFACE_vert_weight1 = 13

## § SURFACE_vert_weight2

const int SURFACE_vert_weight2 = 14

## § SURFACE_vert_weight3

const int SURFACE_vert_weight3 = 15

## § SURFACE_vert_weight4

const int SURFACE_vert_weight4 = 16

## § SURFACE_vmax

const int SURFACE_vmax = 23

## § SURFACE_vmin

const int SURFACE_vmin = 22

## § TERRAIN_c_col_tree

const int TERRAIN_c_col_tree = 8

## § TERRAIN_class

const int TERRAIN_class = 51

## § TERRAIN_eyepoint

const int TERRAIN_eyepoint = 9

## § TERRAIN_height

const int TERRAIN_height = 7

## § TERRAIN_level2dzsize

const int TERRAIN_level2dzsize = 6

## § TERRAIN_mesh_info

const int TERRAIN_mesh_info = 3

## § TERRAIN_ShaderMat

const int TERRAIN_ShaderMat = 10

## § TERRAIN_size

const int TERRAIN_size = 4

## § TERRAIN_terrain_list

const int TERRAIN_terrain_list = 1

## § TERRAIN_triangleindex

const int TERRAIN_triangleindex =2

## § TERRAIN_vsize

const int TERRAIN_vsize = 5

## § TEXTURE_angle

const int TEXTURE_angle = 12

## § TEXTURE_blend

const int TEXTURE_blend = 6

## § TEXTURE_class

const int TEXTURE_class = 52

## § TEXTURE_coords

const int TEXTURE_coords = 7

## § TEXTURE_cube_face

const int TEXTURE_cube_face = 18

## § TEXTURE_cube_mode

const int TEXTURE_cube_mode = 19

## § TEXTURE_file

const int TEXTURE_file = 3

## § TEXTURE_file_abs

const int TEXTURE_file_abs = 13

## § TEXTURE_flags

const int TEXTURE_flags = 5

## § TEXTURE_framebuffer

const int TEXTURE_framebuffer = 17

## § TEXTURE_frames

const int TEXTURE_frames = 4

## § TEXTURE_height

const int TEXTURE_height = 15

## § TEXTURE_no_frames

const int TEXTURE_no_frames = 16

## § TEXTURE_tex_list

const int TEXTURE_tex_list = 2

## § TEXTURE_texture

const int TEXTURE_texture = 1

## § TEXTURE_u_pos

const int TEXTURE_u_pos = 10

## § TEXTURE_u_scale

const int TEXTURE_u_scale = 8

## § TEXTURE_v_pos

const int TEXTURE_v_pos = 11

## § TEXTURE_v_scale

const int TEXTURE_v_scale = 9

## § TEXTURE_width

const int TEXTURE_width = 14

## § TEXTUREFILTER_class

const int TEXTUREFILTER_class = 53

## § TILT_class

const int TILT_class = 54

## § TOUCH_class

const int TOUCH_class = 55

## § TRANSFORM_class

const int TRANSFORM_class = 19

## § VECTOR_class

const int VECTOR_class = 13

## § VOXELSPRITE_class

const int VOXELSPRITE_class = 58